package com.cit.sellfan.ui.template;

import com.vaadin.server.StreamResource;
import com.vaadin.shared.ui.MarginInfo;
import com.vaadin.ui.Alignment;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevImage;
import com.xdev.ui.XdevView;

public class TemplateImage extends XdevView {
	/**
	 * 
	 */
	public TemplateImage() {
		super();
		this.initUI();
	}
/*
	@Override
	public void enter(ViewChangeListener.ViewChangeEvent event) {
		super.enter(event);
		l_VG = ((MainUI)this.getUI()).getVariabiliGlobali();
	}
*/
	public void setSource(final String fileName) {
		//Notification.show(fileName);
		final StreamFileResource sfr = new StreamFileResource(fileName);
		final StreamResource source = new StreamResource(sfr, "mysuorce.png");
		source.setCacheTime(0);
		this.image.setSource(source);
	}
	
	public void setSource(final StreamResource source) {
		source.setCacheTime(0);
		this.image.setSource(source);
	}
	
	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.gridLayout = new XdevGridLayout();
		this.image = new XdevImage();
	
		this.setResponsive(true);
		this.gridLayout.setPrimaryStyleName("v-gridlayout-spacing-off");
		this.gridLayout.setMargin(new MarginInfo(false));
		this.gridLayout.setResponsive(true);
		this.image.setPrimaryStyleName("v-image-spacing-off");
		this.image.setResponsive(true);
	
		this.gridLayout.setColumns(1);
		this.gridLayout.setRows(1);
		this.image.setSizeFull();
		this.gridLayout.addComponent(this.image, 0, 0);
		this.gridLayout.setComponentAlignment(this.image, Alignment.MIDDLE_CENTER);
		this.gridLayout.setColumnExpandRatio(0, 10.0F);
		this.gridLayout.setRowExpandRatio(0, 10.0F);
		this.gridLayout.setSizeFull();
		this.setContent(this.gridLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevImage image;
	private XdevGridLayout gridLayout; // </generated-code>


}
